// Теоретичні питання

// Які існують типи даних у Javascript?
//Відповідь: наразі існують наступні типи даних "примітивні": number (числові), string (рядкові), boolean (true/false), null (окреми тип даних, під яким розіміється "нічого". або "значення не відоме"), undefined (розуміється як "значення не присвоєне"), symbol (за його допомогою можна створювати унікальне значення), Bigint (для роботи з більшими цифрами обраної довжини, так як тип number має обмеження в цьому). Додатково розглядають також ще object (виражається через { } та використовується визначення більш складних типів даних).

// У чому різниця між == і ===?
//Відповідь: == це не строге порівня і воно зводить типи даних, а === порівнює, але не перетворює типи даних.

// Що таке оператор?
//Відповідь: Оператор - це дія, виконувана з операндами. Є арифметичні оператори (+(++) -(--) / * (**) % = == === ); логічні оператори (||(OR)  &&(AND)  !(NOT)).
// Крім того оператори можуть бути за своїми властивостями як явними (перетворення/конвертація), так і неявними (наприклад, конкатинація/склеювання 2х і більше рядків за допомогою оператора + ).

// Завдання

// Реалізувати просту програму на Javascript, яка взаємодіятиме з користувачем за допомогою модальних вікон браузера - alert, prompt, confirm. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

// Технічні вимоги:
// Отримати за допомогою модального вікна браузера дані користувача: ім'я та вік.
// Якщо вік менше 18 років - показати на екрані повідомлення: You are not allowed to visit this website.
// Якщо вік від 18 до 22 років (включно) – показати вікно з наступним повідомленням: Are you sure you want to continue? і кнопками Ok, Cancel. Якщо користувач натиснув Ok, показати на екрані повідомлення: Welcome, + ім'я користувача. Якщо користувач натиснув Cancel, показати на екрані повідомлення: You are not allowed to visit this website.
// Якщо вік більше 22 років – показати на екрані повідомлення: Welcome, + ім'я користувача.
// Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.
// Після введення даних додати перевірку їхньої коректності. Якщо користувач не ввів ім'я, 
//або при введенні віку вказав не число - запитати ім'я та вік наново (при цьому дефолтним значенням для кожної зі змінних має бути введена раніше інформація).



let userName = prompt("Please, enter your name here.");
let userAge = prompt("Please, enter your age here.");


while (userName == false || isNaN(parseInt(userAge))) {
    userName = prompt(`Your name ${userName} is invalid. Please, enter your correct name here.`);
    userAge = prompt(`Your age ${userAge} is invalid. Please, enter your correct age here.`);
};

if (userAge < 18) {
    alert("You are not allowed to visit this website.");
  } else if (userAge <= 22) {
    let confirmMsg = confirm("Are you sure you want to continue?");
    if (confirmMsg) {
      alert(`Welcome, ${userName}.`);
    } else {
      alert("You are not allowed to visit this website.");
    }
  } else {
    alert(`Welcome, ${userName}.`);
  }

